Subject: Re: bug#76925: [PATCH] admin/notes/elpa: Add note on contributing to external packages

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Mar 2025 14:02:16 +0200

> From: david <[email-masked]>
> Cc: [email-masked],  Po Lu <[email-masked]>,  Philip Kaludercic
>  <[email-masked]>,  Eli Zaretskii <[email-masked]>,  Stefan Kangas
>  <[email-masked]>
> Date: Sun, 23 Mar 2025 07:45:45 -0400
> 
> Stefan Monnier <[email-masked]> writes:
> 
> > I don't understand this.  Who is this for?  What problem does it aim to solve?
> > Why hide it in that location?
> >
> >
> >         Stefan "who hasn't looked at the presumably preceding discussion
> >                 in emacs-devel"
> 
> This discussion started on emacs-devel but was moved here to
> bug-gnu-emacs for further review and tracking.  If you think this
> information should also go elsewhere, I'm happy to do that.  However, I
> don't believe admin/notes/elpa is a hidden location for Emacs
> developers.

Why do you think admin/notes/elpa is not a hidden location for Emacs
developers?  Who do you think the admin/notes/ directory is for?

> Related questions that may arise:

Who may raise this questions, and in what contexts?

> - Are these cases considered policy violations for packages in GNU ELPA?

Which cases, and why do you think they might be policy violations?

> The proposed section in the Emacs developer notes aims to address these
> questions in a general sense

How can a question be addressed "in a general sense"?  Shouldn't every
question be addressed specifically and in a targeted manner, answering
exactly the question and nothing else?

> When GNU ELPA policies are violated—or could be violated,
> such as by accepting a pull request or incorporating code that is not
> under FSF copyright—Emacs maintainers and developers will have the
> clarity and guidelines needed to take appropriate action and defend GNU
> Emacs' interests.

If code that violates the policies is accepted, how can the Emacs
maintainers do anything post-factum to defend GNU interests?  Code
that is accepted into the Git repository is carved in stone, and
cannot be removed from Git, ever.